<?php

namespace Drupal\pie_chart\Plugin\Block;

use Drupal\Core\Block\BlockBase;
use Drupal\Core\Form\FormStateInterface;
use Drupal\pie_chart\Controller\NodePieChartController;
use Drupal\node\Entity\NodeType;

/**
 * Provides a node pie chart block.
 *
 * @Block(
 *   id = "node_pie_chart_node_pie_chart",
 *   admin_label = @Translation("Pie Chart Block"),
 * )
 */
class NodePieChartBlock extends BlockBase
{
    /**
     * {@inheritdoc}
     */
    public function build()
    {
        $statistics = new NodePieChartController();
        $node_counts = $statistics->sendNodedataBlock();
        return [
            "#theme" => "node-block",
            "#cache" => [
                "max-age" => 10,
            ],
            "#attached" => [
                "library" => ["pie_chart/drupal.pie_chart"],
                "drupalSettings" => [
                    "fromblock" => $node_counts,
                ],
            ],
        ];
    }
}
